@import url("https://fonts.googleapis.com/css2?family=Licorice&family=Outfit:wght@300;400&family=Poppins:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,400;1,500;1,700&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  background: linear-gradient(rgba(72, 77, 107, 0.8), rgba(153, 69, 94, 0.548)),
    url("https://images.unsplash.com/photo-1601134467661-3d775b999c8b?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1975&q=80")
      no-repeat center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  width: 100%;
  font-family: "Poppins", Courier, monospace;
}

#searchDiv {
  position: absolute;
  top: 20px;
  left: 12vw;
  display: flex;
  justify-content: space-around;
  width: 40vw;
  margin: auto;
}

#searchData {
  width: 65%;
  padding: 10px 20px;
  font-size: 20px;
  line-height: 100%;
  outline: 5px solid rgb(146, 146, 156);
  border: none;
  border-radius: 5px;
}
#space-map {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

#iframe {
  margin-top: 10px;
  height: 20vw;
  width: 30vw;
  border: 2px solid yellow;
  border-radius: 5px;
}
.btn {
  margin-left: 10px;
  width: 30%;
  font-size: 20px;
  font-weight: 700;
  line-height: 100%;
  outline: 5px solid rgb(146, 146, 156);
  border: none;
  border-radius: 5px;
  color: rgb(255, 255, 255);
  background-color: rgb(32, 32, 32);
  transition: ease-in-out 0.3s;
}
.btn:hover {
  background-color: rgb(255, 246, 246);

  color: rgb(0, 0, 0);
  outline: 5px solid rgb(146, 146, 156);
}
.container {
  padding: 40px;
  color: white;
}

.current-info {
  /* border: 2px solid red; */
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.date-container {
  font-weight: 100;
}
.date-container .time {
  font-size: 70px;
}

.date-container #am-pm {
  font-size: 30px;
  margin-left: 20px;
}

.date-container .date {
  font-size: 50px;
}

.place-container {
  text-align: end;
}

.place-container .time-zone {
  font-size: 25px;
  font-weight: 200;
}

.place-container .country {
  font-size: 12px;
  font-weight: 700;
}

.current-info .others {
  display: flex;
  flex-direction: column;
  background: rgba(24, 24, 27, 0.4);
  padding: 20px;
  border-radius: 15px;
  margin: 10px 0px;
  border: 1px solid #eee;
}
.current-info .others .weather-item {
  display: flex;
  justify-content: space-between;
  margin: 5px;
}

.future-forecast {
  background: rgba(24, 24, 27, 0.6);
  margin-top: 5%;
  display: flex;
  color: white;
  width: 100%;
  padding: 20px;
  align-items: center;
  justify-content: center;
}
.future-forecast .today {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0px 10px;
  border: 1px solid #eee;
  border-radius: 10px;
  padding: 15px;
}

.future-forecast .today .day {
  padding: 5px 15px;
  background: #490404;
  border-radius: 50px;
  text-align: center;
}

.future-forecast .today .temp {
  font-size: 20px;
  padding-top: 15px;
}
.future-forecast .weather-forecast {
  display: flex;
}

.weather-forecast .weather-forecast-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0px 5px;
  border: 1px solid #eee;
  border-radius: 10px;
  padding: 15px;
}

.weather-forecast .weather-forecast-item .day {
  padding: 5px 15px;
  background: #490404;
  border-radius: 50px;
  text-align: center;
}
.weather-forecast .weather-forecast-item .temp {
  font-weight: 100;
  min-width: 120px;
}

@media only screen and (max-width: 1400px) {
  .future-forecast {
    justify-content: start;
    align-items: none;
    overflow-x: scroll;
  }
  #iframe {
    height: 30vw;
    width: 40vw;
  }
}

@media only screen and (max-width: 1000px) {
  .container {
    padding: 20px;
  }
  #searchDiv {
    position: relative;
    width: 70vw;
    top: 2%;
    left: 0%;
  }
  .future-forecast {
    justify-content: start;
    align-items: none;
    overflow-x: scroll;
  }

  .future-forecast .today .temp {
    font-size: 20px;
  }
  .date-container .temp {
    font-size: 50px;
  }
  .date-container #am-pm {
    font-size: 20px;
  }
  .date-container .date {
    font-size: 30px;
  }
  .place-container {
    text-align: end;
    margin-top: 15px;
  }
  .place-container .time-zone {
    font-size: 20px;
  }
  .current-info .others {
    padding: 12px;
  }
  .current-info .others .weather-item {
    font-size: 14px;
  }
  #iframe {
    height: 40vw;
    width: 50vw;
  }
}
@media only screen and (max-width: 575px) {
  #iframe {
    height: 50vw;
    width: 70vw;
  }

  .place-container {
    text-align: start;
    margin-top: 15px;
  }
}
